SFML 3.1.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Event::JoystickButtonPressed Struct Reference

Joystick button pressed event subtype. More...

`#include <SFML/Window/Event.hpp>`

## Public Attributes
unsigned int | joystickId {}
| Index of the joystick (in range [0 .. Joystick::Count - 1]).
unsigned int | button {}
| Index of the button that has been pressed (in range [0 .. Joystick::ButtonCount - 1]).

## Detailed Description

Joystick button pressed event subtype.

Definition at line 217 of file Event.hpp.

## Member Data Documentation

## ◆ button

unsigned int sf::Event::JoystickButtonPressed::button {}

Index of the button that has been pressed (in range [0 .. Joystick::ButtonCount - 1]).

Definition at line 220 of file Event.hpp.

## ◆ joystickId

unsigned int sf::Event::JoystickButtonPressed::joystickId {}

Index of the joystick (in range [0 .. Joystick::Count - 1]).

Definition at line 219 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp